SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomFieldResults] (
	@VCC VARCHAR(50) = NULL,
	@CustomFieldId VARCHAR(100) = NULL,
	@Historic BIT = 0
) AS
BEGIN
	SET NOCOUNT ON

    IF(@Historic = 1)
    BEGIN 
	    	SELECT CFR.[ID]							'id',
				CFR.[Description]				'description',
				CFR.[Order]						'order'
			FROM [HistoricCustomFieldResult] CFR (NOLOCK)
			WHERE CFR.[VCC] = @VCC
				AND CFR.[CustomFieldId] = @CustomFieldId
			ORDER BY CFR.[Order] ASC
    END
    ELSE
    BEGIN 
	    	SELECT CFR.[ID]							'id',
				CFR.[Description]				'description',
				CFR.[Order]						'order'
			FROM [CustomFieldResult] CFR (NOLOCK)
			WHERE CFR.[VCC] = @VCC
				AND CFR.[CustomFieldId] = @CustomFieldId
			ORDER BY CFR.[Order] ASC
    END

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
