CREATE TABLE [dbo].[HistoricEvaluationFormat] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Description] [varchar](100) NULL ,
   [Type] [varchar](100) NULL ,
   [EnvironmentType] [varchar](100) NULL ,
   [MinAutomaticQualification] [numeric](5,2) NULL  ,
   [MinQualificationAcceptable] [numeric](5,2) NULL  ,
   [ManagementFormURL] [varchar](1000) NULL ,
   [Enabled] [bit] NULL   ,
   [TemplateId] [varchar](50) NULL 

   ,CONSTRAINT [PK__Historic__A6FE7C3DC848AC4C] PRIMARY KEY CLUSTERED ([VCC], [ID])
)

CREATE  NONCLUSTERED INDEX [Index_HistoricEvaluationFormat] ON [dbo].[HistoricEvaluationFormat] ([Description], [Type])

GO
