SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomField] (
	@VCC VARCHAR(50) = NULL, 
	@ID VARCHAR(100) = NULL,
	@Historic BIT = 0
) AS
BEGIN
	SET NOCOUNT ON

    IF(@Historic = 1)
    BEGIN 
	    SELECT  [ID]						'id',
				[Description]				'description',
				[Label]						'label',
				[Type]						'type'
		FROM [HistoricCustomField] (NOLOCK)
		WHERE [VCC] = @VCC
			AND [ID] = @ID
    END
    ELSE
    BEGIN 
	    SELECT [ID]							'id',
				[Description]				'description',
				[Label]						'label',
				[Type]						'type'
		FROM [CustomField] (NOLOCK)
		WHERE [VCC] = @VCC
			AND [ID] = @ID
    END
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
