SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationFormatCustomFields] (
	@VCC VARCHAR(50) = NULL, 
	@EvaluationFormatId VARCHAR(50) = NULL,
	@Historic  BIT = 0
) AS 
BEGIN
	SET NOCOUNT ON

	IF(@Historic = 1)
	BEGIN
				SELECT EFCF.[VCC]						    'vcc',
					EFCF.[ID]								'id',
					EFCF.[CustomFieldId]					'customFieldId',
					EFCF.[Order]							'order'
				FROM [dbo].[HistoricEvaluationFormatCustomField] EFCF (NOLOCK)
				WHERE EFCF.[VCC] = @VCC 
					AND EFCF.[EvaluationFormatId] = @EvaluationFormatId
				ORDER BY EFCF.[Order] ASC
	END 
	ELSE
	BEGIN 
			   SELECT EFCF.[VCC]							'vcc',
					EFCF.[ID]								'id',
					EFCF.[CustomFieldId]					'customFieldId',
					EFCF.[Order]							'order'
				FROM [dbo].[EvaluationFormatCustomField] EFCF (NOLOCK)
				WHERE EFCF.[VCC] = @VCC 
					AND EFCF.[EvaluationFormatId] = @EvaluationFormatId
				ORDER BY EFCF.[Order] ASC
	END

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
